/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Stress Test Procedure Description.
 */
	public enum EnumCM_StressTestProcedureDescription {

	//TID 3301 Stress Test Procedure Description
	PROCEDURE_TIME_BASE("Procedure Time Base"),
	PROCEDURE_DESCRIPTION("Procedure Description"),
	PATIENT_ORIENTATION_MODIFIER("Patient Orientation Modifier"),
	PATIENT_ORIENTATION("Patient Orientation"),
	ACQUISITION_PROTOCOL("Acquisition Protocol"),
	CONTRAST_ECHOCARDIOGRAPHY("Contrast echocardiography"),
	CARDIAC_GATING("Cardiac Gating"),
	IMAGE_TYPE("Image Type"),
	IMAGING_PROCEDURE("Imaging procedure"),
	FINDING("Finding"),
	INDICATIONS_FOR_PHARMACOLOGICAL_STRESS("Indications for Pharmacological Stress"),
	PHARMACOLOGICAL_STRESS_AGENT("Pharmacological Stress Agent"),
	EXERCISER_DEVICE("Exerciser Device"),
	LEAD_SYSTEM("Lead System"),
	STRESS_PROTOCOL("Stress Protocol"),
	CURRENT_PROCEDURE_DESCRIPTION("Current Procedure Descriptions");

	private String value;

	EnumCM_StressTestProcedureDescription(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
